# DataExchange
TKIGES
IGESDraw

# IGESDraw_Drawing Class Reference

defines IGESDrawing, Type <404> Form <0>
in package IGESDraw

`#include <IGESDraw_Drawing.hxx>`

Inheritance diagram for IGESDraw_Drawing:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDraw_Drawing ()
Standard_EXPORT void | Init (const Handle(IGESDraw_HArray1OfViewKindEntity)&allViews, const Handle(TColgp_HArray1OfXY)&allViewOrigins, const Handle(IGESData_HArray1OfIGESEntity)&allAnnotations)
| This method is used to set the fields of the class Drawing - allViews : Pointers to DEs of View entities - allViewOrigins : Origin coordinates of transformed Views - allAnnotations : Pointers to DEs of Annotation entities raises exception if Lengths of allViews and allViewOrigins are not same. .
Standard_EXPORT Standard_Integer | NbViews () const
| returns the number of view pointers in <me>
Standard_EXPORT Handle_IGESData_ViewKindEntity | ViewItem (const Standard_Integer ViewIndex) const
| returns the ViewKindEntity indicated by ViewIndex raises an exception if ViewIndex <= 0 or ViewIndex > NbViews().
Standard_EXPORT gp_Pnt2d | ViewOrigin (const Standard_Integer TViewIndex) const
| returns the Drawing space coordinates of the origin of the Transformed view indicated by TViewIndex raises an exception if TViewIndex <= 0 or TViewIndex > NbViews().
Standard_EXPORT Standard_Integer | NbAnnotations () const
| returns the number of Annotation entities in <me>
Standard_EXPORT Handle_IGESData_IGESEntity | Annotation (const Standard_Integer AnnotationIndex) const
| returns the Annotation entity in this Drawing, indicated by the AnnotationIndex raises an exception if AnnotationIndex <= 0 or AnnotationIndex > NbAnnotations().
Standard_EXPORT gp_XY | ViewToDrawing (const Standard_Integer NumView, const gp_XYZ &ViewCoords) const
Standard_EXPORT Standard_Boolean | DrawingUnit (Standard_Real &value) const
| Returns the Drawing Unit Value if it is specified (by a specific property entity) If not specified, returns False, and val as zero : unit to consider is then the model unit in GlobalSection .
Standard_EXPORT Standard_Boolean | DrawingSize (Standard_Real &X, Standard_Real &Y) const
| Returns the Drawing Size if it is specified (by a specific property entity) If not specified, returns False, and X,Y as zero : unit to consider is then the model unit in GlobalSection .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESDraw_HArray1OfViewKindEntity | theViews
Handle_TColgp_HArray1OfXY | theViewOrigins
Handle_IGESData_HArray1OfIGESEntity | theAnnotations

## Constructor & Destructor Documentation

Standard_EXPORT IGESDraw_Drawing::IGESDraw_Drawing | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESDraw_Drawing::Annotation | ( | const Standard_Integer | AnnotationIndex | ) | const

Standard_EXPORT Standard_Boolean IGESDraw_Drawing::DrawingSize | ( | Standard_Real & | X,
|  | Standard_Real & | Y
| ) | const

Standard_EXPORT Standard_Boolean IGESDraw_Drawing::DrawingUnit | ( | Standard_Real & | value | ) | const

Standard_EXPORT const IGESDraw_Drawing::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDraw_Drawing::Init | ( | const Handle(IGESDraw_HArray1OfViewKindEntity)& | allViews,
|  | const Handle(TColgp_HArray1OfXY)& | allViewOrigins,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | allAnnotations
| ) |

Standard_EXPORT Standard_Integer IGESDraw_Drawing::NbAnnotations | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDraw_Drawing::NbViews | ( |  | ) | const

Standard_EXPORT Handle_IGESData_ViewKindEntity IGESDraw_Drawing::ViewItem | ( | const Standard_Integer | ViewIndex | ) | const

Standard_EXPORT gp_Pnt2d IGESDraw_Drawing::ViewOrigin | ( | const Standard_Integer | TViewIndex | ) | const

Standard_EXPORT gp_XY IGESDraw_Drawing::ViewToDrawing | ( | const Standard_Integer | NumView,
|  | const gp_XYZ & | ViewCoords
| ) | const

## Field Documentation

Handle_IGESData_HArray1OfIGESEntity IGESDraw_Drawing::theAnnotations`[private]`

Handle_TColgp_HArray1OfXY IGESDraw_Drawing::theViewOrigins`[private]`

Handle_IGESDraw_HArray1OfViewKindEntity IGESDraw_Drawing::theViews`[private]`

The documentation for this class was generated from the following file:

- IGESDraw_Drawing.hxx